Skip to main content
GET
Error

Authorizations

donate-api-key
string
header
required

Developer API key. Required for config create/list/delete and project analytics. Optional on public GET reads (anonymous callers are IP rate-limited). Obtain from the Developer dashboard.

Path Parameters

charityId
string
required

Charity ID

Response

OK

id
string
required
slug
string
required
name
string
required
website
string
required
mission
string
required
address
string
required
city
string
required
state
string
required
country
enum<string>
required
Available options:
US,
UK,
CA,
DE,
ES,
FR,
IE,
IT,
NL,
PT,
AR,
BR,
CL,
CO,
PE,
LEGACY
zipCode
string
required
taxId
string
required
status
enum<string>
required
Available options:
ACTIVE_ONBOARDED,
ACTIVE_NOT_ONBOARDED,
SOFT_HIDDEN,
PLATFORM_DISABLED,
OPTED_OUT
configId
string
required
socials
object
required
isEnabled
boolean
required
stats
object